#
# spec file for package comanche (Version 3.0.b4)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel itcl mm tcl tk
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache apache-devel autoconf automake binutils cracklib gcc gdbm gettext itcl libtool libz mm pam perl rpm tcl tk

Name:         comanche
Copyright:    1995-2000 Daniel Lopez Ridruejo
Group:        Networking/Admin
Requires:     apache tcl tk
Requires:     itcl >= 3.0
Autoreqprov:  on
Version:      3.0.b4
Release:      25
Source0:      comanche3.0b4-src.tar.bz2
Patch0:       comanche3-0b4.dif
Url:          http://www.comanche.org/
Icon:         comanche.xpm
Summary:      Management of the Apache web server
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Comanche, as part of the The Apache GUI project aims to provide a
quality and crossplatform graphical tool for configuration and
management of the Apache web server and related software. Comanche
stands for COnfiguration MANager for apaCHE and should run on most
flavors of UNIX and Windows (and even Macs :-)

Authors:
--------
    Daniel Lopez Ridruejo <ridruejo@esi.us.es>

SuSE series: n

%prep
%setup -n comanche3-0b4
%patch -p1
for file in `find . -type f `; do
	cat $file | sed \
	-e 's+/usr/local/apache/sbin/apachectl+/etc/init.d/apache+g' > $file.sed
	mv $file.sed $file
done

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/comanche
install -m 744 comanche.tcl $RPM_BUILD_ROOT/usr/X11R6/bin/comanche
for file in comanche conf help http images lib messages plugins serialize test url; do
	cp -pr $file $RPM_BUILD_ROOT/%{_libdir}/comanche/
done
## this plugin is broken:
#rm -rf $RPM_BUILD_ROOT/%{_libdir}/comanche/plugins/raven

%files
%defattr(-, root, root)
%doc INSTALL.txt LICENSE.txt README_MAC_USERS.txt 
%doc README_SAMBA.txt docs
%{_libdir}/comanche
%attr(755, root, root) /usr/X11R6/bin/comanche

%changelog -n comanche
* Thu Aug 01 2002 - poeml@suse.de
- update to 3.0b4 to fix old startup problem [BUG#8926]
* Mon Mar 12 2001 - rolf@suse.de
- fixed itkwish to wish in start script [BUG#6601]
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Mon Dec 04 2000 - rolf@suse.de
- update to comanche 3.0.b3
- update init path to /etc/init.d/apache
- add Group: Networking/Admin [BUG#4328]
* Tue Jul 18 2000 - rolf@suse.de
- fixed two bugs in main.tcl script [BUG#3510]
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Feb 28 2000 - rolf@suse.de
- fixed bug in tcl code [BUG#2109]
* Thu Dec 23 1999 - rolf@suse.de
- first package com990406
